Subject: [lisp] Update to the proposed changes to -07

From: Darrel Lewis <[email-masked]>
Date: Thu, 15 Apr 2010 23:32:58 -0700

All,

We've received some (mostly editorial) comments on the proposed changes to draft-ietf-lisp-07.  I've attached an updated diff and text with the changes so people planning to review the document over the next week have the most recent version to work with.

To review, the three main substantive changes are:

(1) Changing the data-header format to add V-bit for Versioning and I-bit for Instance IDs.

(2) Adding a list ITR-RLOCs in the Map-Request to deal with heterogeneous address-families
   in different sites.

(3) Using Map-Versioning (and not Version-Hashing) as the mapping update solution.

Below is a up to date change log for -07, including the comments received since the original email to the list on april 13th (they are the last three change log items).

Changes to draft-ietf-lisp-07.txt:

  o  Posted April 2010.

  o  Added I-bit to data header so LSB field can also be used as an
     Instance ID field.  When this occurs, the LSB field is reduced to
     8-bits (from 32-bits).

  o  Added V-bit to the data header so the 24-bit nonce field can also
     be used for source and destination version numbers.

  o  Added Map-Version 12-bit value to the EID-record to be used in all
     of Map-Request, Map-Reply, and Map-Register messages.

  o  Added multiple ITR-RLOC fields to the Map-Request packet so an ETR
     can decide what address to select for the destination of a Map-
     Reply.

  o  Added L-bit (Local RLOC bit) and p-bit (Probe-Reply RLOC bit) to
     the Locator-Set record of an EID-record for a Map-Reply message.
     The L-bit indicates which RLOCs in the locator-set are local to
     the sender of the message.  The P-bit indicates which RLOC is the
     source of a RLOC-probe Reply (Map-Reply) message.

  o  Add reference to the LISP Canonical Address Format [LCAF] draft.

  o  Made editorial and clarification changes based on comments from
     Dhirendra Trivedi.

  o  Added wordsmithing comments from Joel Halpern on DF=1 setting.

  o  Add John Zwiebel clarification to Echo Nonce Algorithm section
     6.3.1.

  o  Add John Zwiebel comment about expanding on proxy-map-reply bit
     for Map-Register messages.

  o  Add NAT section per Ron Bonica comments.

  o  Fix IDnits issues per Ron Bonica.

  o  Added section on Virtualization and Segmentation to explain the
     use if the Instance ID field in the data header.

  o  There are too many P-bits, keep their scope to the packet format
     description and refer to them by name every where else in the
     spec.

  o  Scanned all occurrences of "should", "should not", "must" and
     "must not" and uppercased them.

  o  John Zwiebel offered text for section 4.1 to modernize the
     example.  Thanks Z!

New diff file and draft are enclosed.

We're still targeting April 23 to post -07, and will immediately start reviewing and responding to the detailed comments from Mr. Papadimitriou for -08.

Thanks,
Darrel/Dino/Dave/Vince